System Requirements

To properly use Care Prism, Care Connect, or Care Pilot, you will need a compatible operating system and web browser. Clarify Health currently supports the following configurations:

Browser Versions Operating System
Chrome 22 and above Mac, Windows, Linux
Firefox 28 and above Mac, Windows, Linux
Safari 6.1 and above Mac
Internet Explorer 11 and above Windows
Edge 12 and above Windows

The Clarify Care Optimization Platform